<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://loyaltymatters.co.uk
 * @since      1.0.0
 *
 * @package    Villas_365
 * @subpackage Villas_365/public/partials
 */

//Get the property
$property = $property_atts["property"];

if(!is_null($property)) :
	wp_enqueue_style('_villas-365-property-booking', plugin_dir_url( __FILE__ ) . "../../assets/css/villas-365-booking.css", [], "1.0");
?>
<div id="booking" class="_villas-365-property-booking">
	<script>
		_365_owner = "<?php echo get_option("villas-365_owner_username_365_api"); ?>";
		_365_owner_token = "<?php echo get_option("villas-365_owner_key_365_api"); ?>";
		_365_language = "<?php echo Helpers365::Get365LanguageCode(); ?>";
		_365_property_id = "<?php echo $property->id; ?>";

		function _Villas365PropertyBookingCookieRead(name)
		{
			var nameEquals = name + "=";
			var cookiesArray = document.cookie.split(';');

			for (var i = 0; i < cookiesArray.length; i++)
			{
				var cookie = cookiesArray[i];
				
				while (cookie.charAt(0) == ' ')
				{
					cookie = cookie.substring(1, cookie.length);
				}

				if (cookie.indexOf(nameEquals) == 0)
				{
					return cookie.substring(nameEquals.length, cookie.length);
				}
			}

			return null;
		}

		var villas365VRMemberID = _Villas365PropertyBookingCookieRead("<?php echo Helpers365::VR_MEMBER_ID_COOKIE_NAME; ?>");
		if(villas365VRMemberID != null)
		{
			_365_vr_member_id = _Villas365PropertyBookingCookieRead("<?php echo Helpers365::VR_MEMBER_ID_COOKIE_NAME; ?>");
		}

	</script>
	<script src="https://secure.365villas.com/widget/bcalendar.js"></script>
</div>
<?php endif; ?>