<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://loyaltymatters.co.uk
 * @since      1.0.0
 *
 * @package    Villas_365
 * @subpackage Villas_365/public/partials
 */

//Get the property details
$property = $property_atts["property"];
$gallery = null;
$gallerySingle = false;
if(!is_null($property))
{
	$gallery = API365::GetPropertyGallery($property->id);
}

if(!is_null($property) && !is_null($gallery) && (count($gallery) > 1)) :
	wp_enqueue_style('_villas-365-fontawesome', plugin_dir_url( __FILE__ ) . "../../assets/css/villas-365-fontawesome.css", [], "5.9.0");
	wp_enqueue_style('_villas-365-styles', plugin_dir_url( __FILE__ ) . "../../assets/css/villas-365-styles.css", ["_villas-365-fontawesome"], "1.0");
	wp_enqueue_style('_villas-365-property-styles', plugin_dir_url( __FILE__ ) . "../../assets/css/villas-365-property.css", ["_villas-365-styles"], "1.0");
	wp_enqueue_script('_villas-365-bootstrap', plugin_dir_url( __FILE__ ) . "../../assets/libs/bootstrap.js", ["jquery"], "4.3.1", true);
	wp_enqueue_script('_villas-365-scripts', plugin_dir_url( __FILE__ ) . '../../assets/js/villas-365-scripts.js', ['jquery', '_villas-365-bootstrap'], "1.0", true);
	wp_enqueue_script('_villas-365-property-image-scroller', plugin_dir_url( __FILE__ ) . "../../assets/js/villas-365-property-image-scroller.js", ["jquery", "_villas-365-scripts"], "1.0.0", true);
?>
<div class="_villas-365-bootstrap _villas-365-property-container _property-images-scrolling-container">
	<div id="_property-images-scrolling-container">
		<ul id="_property-images-scrolling-features">
			<?php foreach($gallery as $key => $banner) : ?>
				<li>
					<a class="property-images-link" target="_blank" href="<?php echo esc_html($banner->link_banner); ?>" data-image-key="<?php echo $key; ?>">
						<img class="img-responsive" src="<?php echo esc_html($banner->link_banner); ?>" alt="">
					</a>
					<div class="_property-image-overlay"></div>
				</li>
			<?php endforeach; ?>
		</ul>
		<a id="_property-images-scrolling-features-scroll-left" class="carousel-control carousel-control-prev" href="#">
			<div class="banner-control-background">
				<i class="fa fa-angle-left"></i>
			</div>
		</a>
		<a id="_property-images-scrolling-features-scroll-right" class="carousel-control carousel-control-next" href="#">
			<div class="banner-control-background">
				<i class="fa fa-angle-right"></i>
			</div>
		</a>
	</div>
</div>
<?php endif; ?>