<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://loyaltymatters.co.uk
 * @since      1.0.0
 *
 * @package    Villas_365
 * @subpackage Villas_365/public/partials
 */

//Get the property
$property = $property_atts["property"];

if(!is_null($property) && property_exists($property, "policies") && !is_null($property->policies)) :
?>
<div class="_villas-365-bootstrap _villas-365-property-policies">
	<?php
	$propertyPolicies = Helpers365::Get365TranslationValue($property, ["policies"], ["languages", "policies"]);
	foreach($propertyPolicies as $key => $policy) : ?>
	<div class="_villas-365-property-policy">
		<h4 class="_villas-365-title _villas-365-property-policy-title"><?php __v3te(ucwords(str_replace("_", " ", $key))) ?></h4>
		<p><?php echo html_entity_decode(str_replace(PHP_EOL, "<br>", $policy)); ?></p>
	</div>
	<?php endforeach; ?>
</div>
<?php endif; ?>