<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://loyaltymatters.co.uk
 * @since      1.0.0
 *
 * @package    Villas_365
 * @subpackage Villas_365/public/partials
 */

//Get the property
$property = $property_atts["property"];
$limit = $property_atts["limit"];
$relatedProperties = API365::GetPropertyRelated(["property_id" => $property->id, "size" => $limit]);

if(!is_null($relatedProperties) && ($relatedProperties["count"] > 0)) :
	wp_enqueue_style('_villas-365-styles', plugin_dir_url( __FILE__ ) . "../../assets/css/villas-365-styles.css", [], "1.0");
	wp_enqueue_style('_villas-365-property-related-styles', plugin_dir_url( __FILE__ ) . "../../assets/css/villas-365-property-related.css", ["_villas-365-styles"], "1.0");
	wp_enqueue_script('_villas-365-property-related-scripts', plugin_dir_url( __FILE__ ) . "../../assets/js/villas-365-property-related.js", ["jquery"], "1.0.0", true);

	if(!isset($propertyPageURL))
	{
		$propertyPageURL = Helpers365::GetPropertyPageURL(get_option("villas-365_property_page_id"));
	}

	if(!isset($villas365PropertiesOpenInNewTabsHTML) || is_null($villas365PropertiesOpenInNewTabsHTML))
	{
		$villas365PropertiesOpenInNewTabsHTML = Helpers365::GetOpenPropertiesInNewTabsHTML();
	}
?>
<div class="_villas-365-bootstrap _villas-365-property-related">
	<div class="container">
		<?php foreach(array_chunk($relatedProperties["properties"][0], $limit) as $relatedPropertiesChunk): ?>
		<div class="row">
			<?php foreach($relatedPropertiesChunk as $relatedProperty): ?>
			<div class="<?php echo (!is_null($relatedProperty) ? '_villas-365-property' : ''); ?> col-12 col-lg">
				<?php
				$relatedPropertyTemplate = Helpers365::LocateTemplateFile("villas-365-properties-related-item-grid.php");
				if($relatedPropertyTemplate === FALSE)
				{
					echo "<pre>Related property template could not be found.</pre>";
				}
				else
				{
					include $relatedPropertyTemplate;
				}
				?>
			</div>
			<?php endforeach; ?>
		</div>
		<?php endforeach; ?>
	</div>
</div>
<?php endif; ?>