<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://loyaltymatters.co.uk
 * @since      1.0.0
 *
 * @package    Villas_365
 * @subpackage Villas_365/public/partials
 */

wp_enqueue_style('_villas-365-styles', plugin_dir_url( __FILE__ ) . "../../assets/css/villas-365-styles.css", [], "1.0");
wp_enqueue_style('_villas-365-property-virtual-tour-styles', plugin_dir_url( __FILE__ ) . "../../assets/css/villas-365-property-virtual-tour.css", ["_villas-365-styles"], "1.0");

//Get the property
$property = $property_atts["property"];

if(!is_null($property)) :
?>
<div class="_villas-365-bootstrap _villas-365-property-image-virtual-tour">
	<?php if (!is_null($property->property_video) && (trim($property->property_video) !== "")) : ?>
	<a href="<?php echo esc_html($property->property_video); ?>" target="_blank" rel="noopener"><img src="<?php echo esc_html($property->image_path); ?>" alt="<?php echo (!is_null($property->name) && (trim($property->name) !== "") ? $property->name : ''); ?>"></a>
	<div class="_property-image-overlay">
		<div class="_property-image-overlay-content">
			<div class="_property-image-overlay-image">
				<img src="<?php echo plugins_url('../../assets/img/virtual-tour.svg', __FILE__); ?>" alt="">
			</div>
			<div class="_property-image-overlay-text"><?php __v3te("Take Virtual Tour"); ?></div>
		</div>
	</div>
	<?php else : ?>
	<img src="<?php echo esc_html($property->image_path); ?>" alt="<?php echo (!is_null($property->name) && (trim($property->name) !== "") ? $property->name : ''); ?>" class="img-fluid">
	<?php endif; ?>
</div>
<?php endif; ?>