<div class="row h-100">
	<div class="col-12">
		<?php if (!is_null($featuredProperty->image_path) && (trim($featuredProperty->image_path) !== "")) : ?>
		<div class="_villas-365-property-image">
			<a href="<?php echo esc_html($propertyPageURL); ?><?php echo esc_html($featuredProperty->slug) ?>" class="unstyled-link"<?php echo $villas365PropertiesOpenInNewTabsHTML; ?>><img src="<?php echo esc_html($featuredProperty->image_small); ?>" alt="" class="img-fluid"></a>
		</div>
		<?php endif; ?>

		<?php if (!is_null($featuredProperty->name) && (trim($featuredProperty->name) !== "")) : ?>
		<h5 class="_villas-365-property-name">
			<a href="<?php echo esc_html($propertyPageURL); ?><?php echo esc_html($featuredProperty->slug) ?>"<?php echo $villas365PropertiesOpenInNewTabsHTML; ?>><?php echo esc_html($featuredProperty->name); ?></a>
		</h5>
		<?php endif; ?>

		<?php if (!is_null($featuredProperty->brief) && (trim($featuredProperty->brief) !== "")) : ?>
		<div class="_villas-365-property-summary">
			<?php echo esc_html(Helpers365::StrLimit(Helpers365::Get365TranslationValue($featuredProperty, ["brief"], ["languages", "brief"]), 175)); ?>
		</div>
		<?php endif; ?>
	</div>

	<div class="w-100"></div>

	<div class="col-12 align-self-end">
		<div class="_villas-365-property-footer">
			<div class="row align-items-center mt-3">
				<?php if ((!is_null($featuredProperty->bedroom) && (trim($featuredProperty->bedroom) !== "")) ||
					(!is_null($featuredProperty->maxguest) && (trim($featuredProperty->maxguest) !== "")) ||
					(!is_null($featuredProperty->bathroom) && (trim($featuredProperty->bathroom) !== ""))) : ?>
				<div class="col-12 col-md mb-3 mb-md-0">
				<?php
				$sectionData = [
					"name" => "rooms",
					"icons" => true
				];
				if(Helpers365::CheckObjectPropertiesExist($property, ["maxguest", "bedroom", "bathroom"], false))
				{
					$sectionData["value"] = [
						"Guests" => $property->maxguest,
						"Bedrooms" => $property->bedroom,
						"Bathrooms" => $property->bathroom
					];
				}
				include VILLAS_365_PLUGIN_PATH . 'public/partials/property/' . VILLAS_365_PLUGIN_NAME . '-property-rooms.php'; ?>
				</div>
				<?php endif; ?>

				<div class="col-12 col-md-auto">
					<a href="<?php echo esc_html($propertyPageURL); ?><?php echo esc_html($featuredProperty->slug) ?>" class="_villas-365-property-button btn btn-primary btn-block"<?php echo $villas365PropertiesOpenInNewTabsHTML; ?>><?php __v3te("Book Now"); ?></a>
				</div>
			</div>
		</div>
	</div>
</div>