<div class="_villas-365-property-inner">
	<div class="row">
		<?php if (!is_null($property->image_path) && (trim($property->image_path) !== "")) : ?>
		<div class="col-12 col-lg-6 mb-2 mb-lg-0">
			<div class="_villas-365-property-image">
				<a href="<?php echo esc_html($propertyPageURL); ?><?php echo esc_html($property->slug) ?>" class="unstyled-link" style="background-image:url('<?php echo esc_html($property->image_path); ?>');"<?php echo $villas365PropertiesOpenInNewTabsHTML; ?>>
					<img src="<?php echo esc_html($property->image_path); ?>" alt="" class="img-fluid d-block d-lg-none">
				</a>
			</div>
		</div>
		<?php endif; ?>
		<div class="col-12 col-lg">
			<div class="_villas-365-property-inner-text">
				<div class="row h-100">
					<div class="col-12">
						<div class="row">
							<?php if (!is_null($property->name) && (trim($property->name) !== "")) : ?>
							<div class="col-12">
								<h4 class="_villas-365-property-name">
									<a href="<?php echo esc_html($propertyPageURL); ?><?php echo esc_html($property->slug) ?>"<?php echo $villas365PropertiesOpenInNewTabsHTML; ?>><?php echo esc_html($property->name); ?></a>
								</h4>
							</div>
							<?php endif; ?>

							<?php if ((!is_null($property->bedroom) && (trim($property->bedroom) !== "")) ||
								(!is_null($property->maxguest) && (trim($property->maxguest) !== "")) ||
								(!is_null($property->bathroom) && (trim($property->bathroom) !== ""))) : ?>
							<div class="col-12">
								<?php
								$sectionData = [
									"name" => "rooms",
									"icons" => true
								];
								if(Helpers365::CheckObjectPropertiesExist($property, ["maxguest", "bedroom", "bathroom"], false))
								{
									$sectionData["value"] = [
										"Guests" => $property->maxguest,
										"Bedrooms" => $property->bedroom,
										"Bathrooms" => $property->bathroom
									];
								}
								include VILLAS_365_PLUGIN_PATH . 'public/partials/property/' . VILLAS_365_PLUGIN_NAME . '-property-rooms.php'; ?>
							</div>
							<?php endif; ?>

							<?php if (!is_null($property->brief) && (trim($property->brief) !== "")) : ?>
							<div class="col-12">
								<div class="_villas-365-property-summary">
									<?php echo esc_html(Helpers365::StrLimit(Helpers365::Get365TranslationValue($property, ["brief"], ["languages", "brief"]), 100)); ?>
								</div>
							</div>
							<?php endif; ?>
						</div>
					</div>

					<?php if(!is_null($property->rateValue) && (trim($property->rateValue) !== "")) : ?>
					<div class="w-100"></div>
					<div class="col-12 align-self-end">
						<div class="_villas-365-property-price" title="<?php __v3te($property->rateToolTip); ?>">
							<?php __v3te("From"); ?> <?php echo esc_html($property->rateValue); ?>/<?php __v3te(($property->rateLabel == "day" ? "night" : $property->rateLabel)); ?>
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>